
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_SOURCE_DIR}/libkdchart
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### views (static)

tde_add_library( views STATIC_PIC AUTOMOC
  SOURCES
    kreportsview.cpp
    kmymoneytransaction.cpp
    kgloballedgerview.cpp
    kmymoneyfile.cpp
    kinvestmentlistitem.cpp
    kinvestmentviewdecl.ui
    kinvestmentview.cpp
    kscheduledlistitem.cpp
    kscheduledviewdecl.ui
    kscheduledview.cpp
    kpayeesview.cpp
    kpayeesviewdecl.ui
    khomeview.cpp
    kcategoriesviewdecl.ui
    kcategoriesview.cpp
    kmymoneyview.cpp
    kaccountsviewdecl.ui
    kaccountsview.cpp
    kinstitutionsviewdecl.ui
    kinstitutionsview.cpp
    kbudgetview.cpp
    kbudgetviewdecl.ui
    kforecastview.cpp
    kforecastviewdecl.ui

  LINK
    dialogs-static
    reports-static
    storage-static

  DEPENDENCIES
    kmm-includes
)


##### other data

kmm_install_includes(
  FILES kmymoneyview.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
)
